diff --git qt5/config/qtcurveconfig.cpp qt5/config/qtcurveconfig.cpp
index 1afdfbfe..9cb621ef 100644
--- qt5/config/qtcurveconfig.cpp
+++ qt5/config/qtcurveconfig.cpp
@@ -1688,10 +1688,12 @@ void QtCurveConfig::setupStack()
         kwin->setNote(i18n("<p><b>NOTE:</b><i>The settings here affect the borders drawn around application windows and dialogs - and "
                            "not internal (or MDI) windows. Therefore, these settings will <b>not</b> be reflected in the Preview "
                            "page.</i></p>"));
+#ifndef Q_OS_MACOSX
         connect(qtcSlot(kwin, changed), qtcSlot(this, updateChanged));
+#endif
     }
     stack->insertWidget(i, kwin);
-    new CStackItem(stackList, i18n("Window Manager"), i++);
+    CStackItem *winManager = new CStackItem(stackList, i18n("Window Manager"), i++);
 
     new CStackItem(stackList, i18n("Window buttons"), i++);
     new CStackItem(stackList, i18n("Window button colors"), i++);
@@ -1709,6 +1711,9 @@ void QtCurveConfig::setupStack()
     stackList->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::MinimumExpanding);
     stackList->setSelectionMode(QAbstractItemView::SingleSelection);
     first->setSelected(true);
+#ifdef Q_OS_MACOS
+    winManager->setDisabled(true);
+#endif
     connect(qtcSlot(stackList, itemSelectionChanged),
             qtcSlot(this, changeStack));
 }
